      subroutine init_couplings
      implicit none
      include "coupl.inc"
      include 'PhysPars.h'

      real * 8 powheginput
      external powheginput
c Avoid multiple calls to this subroutine. The parameter file is opened
c but never closed ...
      logical called
      data called/.false./
      save called
      if(called) then
         return
      else
         called=.true.
      endif

*********************************************************
***********         MADGRAPH                 ************
*********************************************************
c Parameters are read from the MadGraph param_card.dat,
c except the strong coupling constant, which is defined
c somewhere else
      call setpara("param_card.dat")

      ph_zmass2low=powheginput("#mass_low")
      if(ph_zmass2low<0) then
         ph_zmass2low=1
      else
         ph_zmass2low=ph_zmass2low**2
      endif
      
      ph_zmass2high=powheginput("#mass_high")
      if(ph_zmass2high<0) then
         ph_zmass2high=1
      else
         ph_zmass2high=ph_zmass2high**2
      endif


      ph_Zmass = MDL_MZ
      ph_Zwidth = MDL_WZ
      ph_ZmZw = MDL_MZ * MDL_WZ
      
      end
