#! /usr/bin/env python2
import os
import sys
import internal.check_param_card as param_card_mod

pjoin = os.path.join

me_dir = os.path.split(os.path.dirname(os.path.realpath(__file__)))[0]




def do_treatparamcard(param_card_name):

    if os.path.exists(pjoin(me_dir, 'Source', 'MODEL', 'mp_coupl.inc')):
        param_card = param_card_mod.ParamCardMP(param_card_name)
    else:
        param_card = param_card_mod.ParamCard(param_card_name)


    outfile = pjoin(me_dir, 'Source', 'param_card.inc')
    ident_card = pjoin(me_dir,'Cards','ident_card.dat')
    if os.path.isfile(pjoin(me_dir,'bin','internal','ufomodel','restrict_default.dat')):
        default = pjoin(me_dir,'bin','internal','ufomodel','restrict_default.dat')
    elif os.path.isfile(pjoin(me_dir,'bin','internal','ufomodel','param_card.dat')):
        default = pjoin(me_dir,'bin','internal','ufomodel','param_card.dat')
    elif not os.path.exists(pjoin(me_dir,'bin','internal','ufomodel')):
        fsock = open(pjoin(me_dir,'Source','param_card.inc'),'w')
        fsock.write(' ')
        fsock.close()
        return
    else:
        subprocess.call(['python', 'write_param_card.py'],
                     cwd=pjoin(me_dir,'bin','internal','ufomodel'))
        default = pjoin(me_dir,'bin','internal','ufomodel','param_card.dat')

    param_card.write_inc_file(outfile, ident_card, default)


if __name__ == "__main__":
    do_treatparamcard(sys.argv[1])
